/*
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _list_h_
#define _list_h_

typedef struct list_t list_t;

struct list_t {
	list_t		*next;
	unsigned int	cluster_no;
	unsigned int	size;
	char				filename[8];
	char				ext[3];
};

// create new list
list_t* list_new();
// add to the beginning
void list_add(list_t* list, unsigned int cluster_no, unsigned int size, const char* filename, const char* ext);
// free list
void list_free(list_t** head);

#endif
